#!/bin/sh

#
#	internal use only
#

USAGE="$0 netscape_distribution_tgz_file install_dir"

case $# in
 2)	;;
 *)	echo "$USAGE"
	exit 1
	;;
esac

if test "$EMPRESSPATH" != ""
then
	PATH="$EMPRESSPATH/common/gnu:$PATH"
	export PATH
fi

NETSCAPE_TGZ_FILE=$1
NETSCAPE_INST=$2

NETSCAPE_TMP=$NETSCAPE_INST.tmp

rm -fr $NETSCAPE_INST $NETSCAPE_TMP

mkdir -p $NETSCAPE_TMP

cd $NETSCAPE_TMP

tar zxvf $NETSCAPE_TGZ_FILE

MOZILLA_HOME=$NETSCAPE_INST
export MOZILLA_HOME

cd *ommunicat*

echo | ./ns-install

cp $NETSCAPE_INST/Netscape.ad $NETSCAPE_INST/Netscape

mv * $NETSCAPE_INST

cd
rm -fr $NETSCAPE_TMP
